## org.opengis.geometry.complex
Interface CompositePoint

All Superinterfaces:
  Complex, Composite, Geometry, TransfiniteSet

    @UML(identifier="GM_CompositePoint",
         specification=ISO_19107)
    public interface CompositePoint

extends Composite

A separate class for composite point, included for completeness. It is a complex containing one and only one point.

Since:
  GeoAPI 2.1
Version:
  ISO 19107

Method Summary

Methods inherited from interface Composite
`getGenerators`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.